Bug 53308 - openssh port forwarding fails.
openssh port forwarding fails.
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2001-09-06 09:04 EDT by David Woodhouse
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-17 12:23:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2001-09-06 09:04:08 EDT
Using openssh to port forward for IRC fails when the server is openssh-2.5
or openssh-2.9.

On a Red Hat 7.1 or 7.2-beta box, try:
 ssh -L 6667:irc.openprojects.net:6667 (some7.1or7.2box)

 and in another terminal type: 
 irc somenick irc.openprojects.net (any server seems to show the same

 tcpdump and observe the traffic on both the loopback interface and the
link to the outside world. You'll see that the IRC client is sending
commands which aren't being forwarded by sshd. ircii and xchat suffer, but
strangely using telnet or nc to connect makes it work. 

When the server is a 7.0 box with openssh-2.3.0p1-4, it works fine.
Comment 1 David Woodhouse 2001-09-06 09:10:56 EDT
Argh. I need more coffee. Obviously the irc command has to be:
 irc somenick localhost

Comment 2 David Woodhouse 2001-11-01 08:13:42 EST
This problem still exists in the latest openssh erratum. (2.9p2-9)
Comment 3 David Woodhouse 2001-11-06 17:22:44 EST
I've verified that a clean build of the OpenSSH 3.0p1 RPM does not have this
problem. Either it's been fixed in the 3.0 release, or it was a Red Hat patch
which introduced the bug.
Comment 4 David Woodhouse 2001-11-07 15:47:43 EST
A clean build of the OpenSSH 2.9p2 RPM also has this bug - so it wasn't
introduced by one of the Red Hat patches, it was present in the original source.
This means that upgrading to 3.0p1 ought to fix it. 

What are the chances of an erratum release, or do we have to find a remote root
before that can happen?
Comment 5 Mike A. Harris 2001-11-13 18:56:22 EST
Verified.  This problem is incredibly annoying.  Got 3.0.* RPM's
somewhere David?
Comment 6 David Woodhouse 2001-11-13 19:42:47 EST
Comment 7 David Woodhouse 2001-12-05 07:52:58 EST
Is this expected to be fixed by the openssh-2.9p2-11 erratum?
Comment 8 Tom Lane 2001-12-17 12:08:37 EST
This might be the same problem that's giving me fits with fetching email:

Now that I've been told by the upstream developers that there was a relevant
bug fix in openssh 2.9.9, I would really like to see us issue something newer
than 2.9.
Comment 9 Nalin Dahyabhai 2002-03-07 15:49:05 EST
3.1 is going out as an errata soonish, but the fixes may show up in Raw Hide
before that.

Note You need to log in before you can comment on or make changes to this bug.